# common definition
DIRECTORY_SRC			= ./src
DIRECTORY_C			= $(DIRECTORY_SRC)/c
DIRECTORY_ASM			= $(DIRECTORY_SRC)/asm
DIRECTORY_SYS			= $(DIRECTORY_SRC)/sys
DIRECTORY_INCLUDE       	= $(DIRECTORY_C)/include
DIRECTORY_LDSCRIPT		= $(DIRECTORY_SRC)/ldscript/

INCLUDE				= -I$(DIRECTORY_INCLUDE)
LIBRARY				= 

#-----[ Files ]-------------------------------------------------------------------
OBJECTS_ASM			= $(patsubst $(DIRECTORY_ASM)/%.s,$(DIRECTORY_OBJ)/%.o,$(wildcard $(DIRECTORY_ASM)/*.s))
OBJECTS_SYS			= $(patsubst $(DIRECTORY_SYS)/%.s,$(DIRECTORY_OBJ)/%.o,$(wildcard $(DIRECTORY_SYS)/*.s))
OBJECTS_C       	    	= $(patsubst $(DIRECTORY_C)/%.c,$(DIRECTORY_OBJ)/%.o,$(wildcard $(DIRECTORY_C)/*.c))

include				../Makefile.Software

